%define _unpackaged_files_terminate_build 1

%define base_name	kde-styles
%define theme_name	baghira
%define name		%base_name-%theme_name

Name: %name
Version: 0.8
Release: alt3

Group: Graphical desktop/KDE
Summary: Baghira style for KDE
License: GPL
Url: http://baghira.sf.net/

Source: %theme_name-%version.tar.bz2
# from PLD
Source1: Baghira-Lime.kcsrc
Patch0: %theme_name-0.7cvs-alt-settings-dir.patch
Patch2: %theme_name-0.7cvs-alt-makefile-fixes.patch

BuildPreReq: gcc-c++ xml-utils
BuildPreReq: kdebase-devel >= 3.2.0
BuildPreReq: libqt3-devel libqt3-devel-cxx = %__gcc_version_base
BuildPreReq: kdelibs-devel kdelibs-devel-cxx = %__gcc_version_base

%description
KDE style resembling MacOS X "Aqua" style.
It's based upon mosfet-liquid 0.9.6pre4.

%prep
%setup -n %theme_name-%version
%patch0 -p1
%patch2 -p1

%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%make -f admin/Makefile.common

%build
%configure \
	--disable-rpath \
	--enable-new-ldflags \
	--enable-final
%make_build
	    
%install
%makeinstall
mkdir -p %buildroot%_datadir/applications/
install -p -m644 bab/bab.desktop %buildroot%_datadir/applications/
install -p -m644 %SOURCE1 %buildroot%_datadir/apps/kdisplay/color-schemes/

rm -f %buildroot%_libdir/usermanager_panelapplet.la

%post
%post_ldconfig
%update_menus
%postun
%postun_ldconfig
%clean_menus

%files
%doc AUTHORS README icons/{readme,svgs.tar.bz2}
%_libdir/libbaghirastarter.so
%_libdir/usermanager_panelapplet.so
%_libdir/kde3/b_menu_panelapplet.la
%_libdir/kde3/b_menu_panelapplet.so
%_libdir/kde3/konqsidebar_baghirasidebar.la
%_libdir/kde3/konqsidebar_baghirasidebar.so
%_libdir/kde3/kstyle_baghira_config.la
%_libdir/kde3/kstyle_baghira_config.so
%_libdir/kde3/kwin3_baghira.la
%_libdir/kde3/kwin3_baghira.so
%_libdir/kde3/kwin_baghira_config.la
%_libdir/kde3/kwin_baghira_config.so
%_libdir/kde3/plugins/styles/baghira.la
%_libdir/kde3/plugins/styles/baghira.so
%_datadir/apps/baghira/
%_datadir/apps/kdisplay/color-schemes/AquaBlue.kcsrc
%_datadir/apps/kdisplay/color-schemes/AquaGraphite.kcsrc
%_datadir/apps/kdisplay/color-schemes/Baghira-Lime.kcsrc
%_datadir/apps/kicker/applets/starter.desktop
%_datadir/apps/kicker/applets/usermanager.desktop
%_datadir/apps/konqsidebartng/add/baghirasidebar_add.desktop
%_datadir/apps/konqsidebartng/entries/baghirasidebar.desktop
%_datadir/apps/kstyle/themes/baghira.themerc
%_datadir/apps/kwin/baghira.desktop
%_datadir/applications/bab.desktop
%_iconsdir/crystalsvg/*/*/*.png
%_bindir/bab
%_includedir/*

%changelog
* Wed Apr 09 2008 Andrey Rahmatullin <wrar@altlinux.ru> 0.8-alt3
- add post_ldconfig call (found by repocop)

* Tue Dec 25 2007 Andrey Rahmatullin <wrar@altlinux.ru> 0.8-alt2
- fix building with new autotools

* Thu Sep 14 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.8-alt1
- 0.8

* Sun Jul 02 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.7-alt3.cvs20060801
- CVS 20060801
- rebuild with gcc4

* Sun Apr 02 2006 Andrey Rahmatullin <wrar@altlinux.ru> 0.7-alt2.cvs20060326
- CVS 20060326
- fix build with --as-needed
- remove menu file
- enable _unpackaged_files_terminate_build

* Fri Sep 30 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.7-alt1
- 0.7

* Tue Apr 12 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6e-alt2
- change hardcoded config dir from ~/.qt to ~/.qt3
- eliminate runtime warnings

* Mon Apr 11 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.6e-alt1
- 0.6e

* Thu Mar 31 2005 Andrey Rahmatullin <wrar@altlinux.ru> 0.5h-alt3
- rebuilt with libstdc++.so.6
- fix building with automake 1.9
- some spec cleanups

* Wed Dec 29 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5h-alt2
- fix building on M2.4

* Wed Sep 22 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5h-alt1
- 0.5h

* Tue Sep 14 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5g-alt1
- 0.5g

* Wed Sep 08 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5f-alt1
- 0.5f
- add lime color scheme from PLD

* Wed Sep 01 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5d-alt1
- 0.5d

* Sun Aug 22 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5b-alt1
- 0.5b

* Thu Aug 12 2004 Andrey Rahmatullin <wrar@altlinux.ru> 0.5a-alt1
- 0.5a
- Sisyphus build
- disable menu dropshadows by default
- some spec changes/fixes

* Sat Aug 07 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.5-alt1
- 0.5

* Wed Jul 14 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.4c-alt1
- 0.4c 

* Tue Jun 29 2004 Valery Inozemtsev <shrek@altlinux.ru> 0.4-alt1
- 0.4 

* Sat Jun 19 2004 Mikhail Yakshin <greycat@altlinux.ru> 0.3s-alt1
- 0.3s

* Thu May 13 2004 Mikhail Yakshin <greycat@altlinux.org> 0.3p-alt1
- initial build
